Bug 19511 - Local cover images not centered in table column in staff client search results
Summary: Local cover images not centered in table column in staff client search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-23 03:54 UTC by Lyle Kozloff
Modified: 2018-09-21 13:29 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Local thumbnail displayed alongside Amazon thumbnails (78.68 KB, image/png)
2017-10-23 03:54 UTC, Lyle Kozloff
Details
Bug 19511: Local cover images not centered in table column in staff client search results (1.79 KB, patch)
2018-07-26 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19511: Local cover images not centered in table column in staff client search results (2.00 KB, patch)
2018-08-15 07:12 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19511: Local cover images not centered in table column in staff client search results (2.08 KB, patch)
2018-08-15 17:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lyle Kozloff 2017-10-23 03:54:19 UTC
Created attachment 68369 [details]
Local thumbnail displayed alongside Amazon thumbnails

Local cover images are not displayed centered when compared with cover images loaded from Amazon. 

On Amazon loaded images the class "thumbnail" is included in the img tag, whereas in local cover images the "thumbnail" class is not present.
Comment 1 Lyle Kozloff 2017-10-23 05:55:57 UTC
A work around is to add the following to IntranetUserCSS:

[id*="local-thumbnail"] img{
   display: block;
   margin: auto;
}
Comment 2 Owen Leonard 2018-07-26 15:40:49 UTC
Created attachment 77293 [details] [review]
Bug 19511: Local cover images not centered in table column in staff client search results

This patch modifies the JavaScript which embeds local cover images in
staff client catalog search results. It now adds the "thumbail" class to
the image, matching Amazon cover images.

To test you should have one or more titles with local cover images
attached. Apply the patch and clear your browser cache if necessary.

Enable both the AmazonCoverImages and LocalCoverImages system
preferences and perform a search which will return titles with local
cover images. Confirm that local covers are styled like Amazon covers.
Comment 3 Dilan Johnpullé 2018-08-15 07:12:50 UTC
Created attachment 77812 [details] [review]
Bug 19511: Local cover images not centered in table column in staff client search results

This patch modifies the JavaScript which embeds local cover images in
staff client catalog search results. It now adds the "thumbail" class to
the image, matching Amazon cover images.

To test you should have one or more titles with local cover images
attached. Apply the patch and clear your browser cache if necessary.

Enable both the AmazonCoverImages and LocalCoverImages system
preferences and perform a search which will return titles with local
cover images. Confirm that local covers are styled like Amazon covers.

Tested and confirmed local cover images are appearing quite nicely now.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 4 Jonathan Druart 2018-08-15 17:05:22 UTC
Created attachment 77840 [details] [review]
Bug 19511: Local cover images not centered in table column in staff client search results

This patch modifies the JavaScript which embeds local cover images in
staff client catalog search results. It now adds the "thumbail" class to
the image, matching Amazon cover images.

To test you should have one or more titles with local cover images
attached. Apply the patch and clear your browser cache if necessary.

Enable both the AmazonCoverImages and LocalCoverImages system
preferences and perform a search which will return titles with local
cover images. Confirm that local covers are styled like Amazon covers.

Tested and confirmed local cover images are appearing quite nicely now.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-08-21 13:54:56 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-24 10:23:37 UTC
Pushed to 18.05.x for 18.05.03
Comment 7 Fridolin SOMERS 2018-09-21 13:29:32 UTC
Pushed to 17.11.x for 17.11.10